Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class ItemTypes

    java.lang.Object
      oracle.ifs.fdk.ItemTypes

    public final class ItemTypes

extends java.lang.Object

Defines a list of constants for the String representation of each item type.

Field Summary
`static java.lang.String` | `ARCHIVE` Archive type.
`static java.lang.String` | `ATTRIBUTE_OVERRIDE` AttributeOverride type.
`static java.lang.String` | `AUDIT_TYPE_LIST` AuditTypeList type.
`static java.lang.String` | `AUDITING_CONFIGURATION` AuditingConfiguration type.
`static java.lang.String` | `CATEGORY` Category type.
`static java.lang.String` | `CATEGORY_CLASS` CategoryClass type.
`static java.lang.String` | `CATEGORY_CONFIGURATION` CategoryConfiguration type.
`static java.lang.String` | `CONTAINER` Container type.
`static java.lang.String` | `DOCUMENT` Document type.
`static java.lang.String` | `DOCUMENT_DEFINITION` DocumentDefinition type.
`static java.lang.String` | `DOMAIN` Container type.
`static java.lang.String` | `FAMILY` Family type.
`static java.lang.String` | `FOLDER` Folder type.
`static java.lang.String` | `FOLDERLINK` FolderLink type.
`static java.lang.String` | `GRANT` Grant type.
`static java.lang.String` | `GROUP` Group type.
`static java.lang.String` | `LIFECYCLE_POLICY` LIFECYCLE_POLICY Item type.
`static java.lang.String` | `LIFECYCLE_POLICY_ENTRY` LIFECYCLE_POLICY_ENTRY Item type.
`static java.lang.String` | `LINK` Link type.
`static java.lang.String` | `LOCK` Lock type.
`static java.lang.String` | `MEDIA` MEDIA Item type.
`static java.lang.String` | `METADATA_ATTRIBUTE` Category Attribute (of a class).
`static java.lang.String` | `MOST_RECENT_DOC` Most Recent Doc type.
`static java.lang.String` | `OPERATION_CONFIGURATION` OperationConfiguration type.
`static java.lang.String` | `RELATION` Relation type.
`static java.lang.String` | `REQUEST` Request type.
`static java.lang.String` | `RESPONDER` Responder type.
`static java.lang.String` | `ROLE` Role type.
`static java.lang.String` | `SECURITY_CONFIGURATION` SecurityConfiguration type.
`static java.lang.String` | `TRASH_FOLDER` TrashFolder type.
`static java.lang.String` | `USER` User type.
`static java.lang.String` | `VERSION` Version type.
`static java.lang.String` | `VERSIONING_CONFIGURATION` VersioningConfiguration type.
`static java.lang.String` | `WORKFLOW` Workflow type.
`static java.lang.String` | `WORKFLOW_CONFIGURATION` WorkflowConfiguration type.
`static java.lang.String` | `WORKFLOW_PARAMETER` WorkflowParameter type.
`static java.lang.String` | `WORKSPACE` Workspace type.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOLDER

    public static final java.lang.String FOLDER

  Description copied from class: `ItemTypes`
  Folder type.

  Name: FOLDER

  See Also:
    Constant Field Values

### DOMAIN

    public static final java.lang.String DOMAIN

  Description copied from class: `ItemTypes`
  Container type.

  Name: DOMAIN

  See Also:
    Constant Field Values

### CONTAINER

    public static final java.lang.String CONTAINER

  Description copied from class: `ItemTypes`
  Container type.

  Name: CONTAINER

  See Also:
    Constant Field Values

### WORKSPACE

    public static final java.lang.String WORKSPACE

  Description copied from class: `ItemTypes`
  Workspace type.

  Name: WORKSPACE

  See Also:
    Constant Field Values

### TRASH_FOLDER

    public static final java.lang.String TRASH_FOLDER

  Description copied from class: `ItemTypes`
  TrashFolder type.

  Name: TRASH_FOLDER

  See Also:
    Constant Field Values

### ARCHIVE

    public static final java.lang.String ARCHIVE

  Description copied from class: `ItemTypes`
  Archive type.

  Name: ARCHIVE

  See Also:
    Constant Field Values

### DOCUMENT

    public static final java.lang.String DOCUMENT

  Description copied from class: `ItemTypes`
  Document type.

  Name: DOCUMENT

  See Also:
    Constant Field Values

### DOCUMENT_DEFINITION

    public static final java.lang.String DOCUMENT_DEFINITION

  Description copied from class: `ItemTypes`
  DocumentDefinition type.

  Name: DOCUMENT_DEFINITION

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  Description copied from class: `ItemTypes`
  Version type.

  Name: VERSION

  See Also:
    Constant Field Values

### FAMILY

    public static final java.lang.String FAMILY

  Description copied from class: `ItemTypes`
  Family type.

  Name: FAMILY

  See Also:
    Constant Field Values

### LINK

    public static final java.lang.String LINK

  Description copied from class: `ItemTypes`
  Link type.

  Name: LINK

  See Also:
    Constant Field Values

### FOLDERLINK

    public static final java.lang.String FOLDERLINK

  Description copied from class: `ItemTypes`
  FolderLink type.

  Name: FOLDERLINK

  See Also:
    Constant Field Values

### USER

    public static final java.lang.String USER

  Description copied from class: `ItemTypes`
  User type.

  Name: USER

  See Also:
    Constant Field Values

### GROUP

    public static final java.lang.String GROUP

  Description copied from class: `ItemTypes`
  Group type.

  Name: GROUP

  See Also:
    Constant Field Values

### VERSIONING_CONFIGURATION

    public static final java.lang.String VERSIONING_CONFIGURATION

  Description copied from class: `ItemTypes`
  VersioningConfiguration type.

  Name: VERSIONING_CONFIGURATION

  See Also:
    Constant Field Values

### AUDITING_CONFIGURATION

    public static final java.lang.String AUDITING_CONFIGURATION

  Description copied from class: `ItemTypes`
  AuditingConfiguration type.

  Name: AUDITING_CONFIGURATION

  See Also:
    Constant Field Values

### OPERATION_CONFIGURATION

    public static final java.lang.String OPERATION_CONFIGURATION

  Description copied from class: `ItemTypes`
  OperationConfiguration type.

  Name: OPERATION_CONFIGURATION

  See Also:
    Constant Field Values

### AUDIT_TYPE_LIST

    public static final java.lang.String AUDIT_TYPE_LIST

  Description copied from class: `ItemTypes`
  AuditTypeList type.

  Name: AUDIT_TYPE_LIST

  See Also:
    Constant Field Values

### CATEGORY_CONFIGURATION

    public static final java.lang.String CATEGORY_CONFIGURATION

  Description copied from class: `ItemTypes`
  CategoryConfiguration type.

  Name: CATEGORY_CONFIGURATION

  See Also:
    Constant Field Values

### WORKFLOW_CONFIGURATION

    public static final java.lang.String WORKFLOW_CONFIGURATION

  Description copied from class: `ItemTypes`
  WorkflowConfiguration type.

  Name: WORKFLOW_CONFIGURATION

  See Also:
    Constant Field Values

### SECURITY_CONFIGURATION

    public static final java.lang.String SECURITY_CONFIGURATION

  Description copied from class: `ItemTypes`
  SecurityConfiguration type.

  Value: SECURITY_CONFIGURATION

  See Also:
    Constant Field Values

### GRANT

    public static final java.lang.String GRANT

  Description copied from class: `ItemTypes`
  Grant type.

  Value: GRANT

  See Also:
    Constant Field Values

### ROLE

    public static final java.lang.String ROLE

  Description copied from class: `ItemTypes`
  Role type.

  Name: ROLE

  See Also:
    Constant Field Values

### ATTRIBUTE_OVERRIDE

    public static final java.lang.String ATTRIBUTE_OVERRIDE

  Description copied from class: `ItemTypes`
  AttributeOverride type.

  Name: ATTRIBUTE_OVERRIDE

  See Also:
    Constant Field Values

### WORKFLOW_PARAMETER

    public static final java.lang.String WORKFLOW_PARAMETER

  Description copied from class: `ItemTypes`
  WorkflowParameter type.

  Name: WORKFLOW_PARAMETER

  See Also:
    Constant Field Values

### CATEGORY_CLASS

    public static final java.lang.String CATEGORY_CLASS

  Description copied from class: `ItemTypes`
  CategoryClass type.

  Name: CATEGORY_CLASS

  See Also:
    Constant Field Values

### METADATA_ATTRIBUTE

    public static final java.lang.String METADATA_ATTRIBUTE

  Description copied from class: `ItemTypes`
  Category Attribute (of a class).

  Name: METADATA_ATTRIBUTE

  See Also:
    Constant Field Values

### CATEGORY

    public static final java.lang.String CATEGORY

  Description copied from class: `ItemTypes`
  Category type.

  Name: CATEGORY

  See Also:
    Constant Field Values

### RELATION

    public static final java.lang.String RELATION

  Description copied from class: `ItemTypes`
  Relation type.

  Name: RELATION

  See Also:
    Constant Field Values

### WORKFLOW

    public static final java.lang.String WORKFLOW

  Description copied from class: `ItemTypes`
  Workflow type.

  Name: WORKFLOW

  See Also:
    Constant Field Values

### REQUEST

    public static final java.lang.String REQUEST

  Description copied from class: `ItemTypes`
  Request type.

  Name: REQUEST

  See Also:
    Constant Field Values

### RESPONDER

    public static final java.lang.String RESPONDER

  Description copied from class: `ItemTypes`
  Responder type.

  Name: RESPONDER

  See Also:
    Constant Field Values

### LOCK

    public static final java.lang.String LOCK

  Description copied from class: `ItemTypes`
  Lock type.

  Name: LOCK

  See Also:
    Constant Field Values

### MOST_RECENT_DOC

    public static final java.lang.String MOST_RECENT_DOC

  Description copied from class: `ItemTypes`
  Most Recent Doc type.

  Name: MOST_RECENT_DOC

  See Also:
    Constant Field Values

### LIFECYCLE_POLICY

    public static final java.lang.String LIFECYCLE_POLICY

  Description copied from class: `ItemTypes`
  LIFECYCLE_POLICY Item type.

  Represents lifecycle rules that are applied to DOCUMENT Items. Lifecycle rules are actions that are applied during the lifetime of DOCUMENT Items.

  Name: LIFECYCLE_POLICY

  See Also:
    Constant Field Values

### LIFECYCLE_POLICY_ENTRY

    public static final java.lang.String LIFECYCLE_POLICY_ENTRY

  Description copied from class: `ItemTypes`
  LIFECYCLE_POLICY_ENTRY Item type.

  Encapsulates actions to be executed as part of a LIFECYCLE_POLICY.

  Name: LIFECYCLE_POLICY_ENTRY

  See Also:
    Constant Field Values

### MEDIA

    public static final java.lang.String MEDIA

  Description copied from class: `ItemTypes`
  MEDIA Item type.

  Represents a storage media object.

  Name: MEDIA

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD